# Class AxisLabel

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents a label associated with an axis, typically used in charting or graphing scenarios to describe or identify the axis.

    public class AxisLabel

Inheritance
  object
  AxisLabel

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Color

    public string? Color { get; set; }

#### Property Value

string

### FontSize

    public decimal? FontSize { get; set; }

#### Property Value

decimal?

### Margin

    public decimal? Margin { get; set; }

#### Property Value

decimal?

### Show

    public bool? Show { get; set; }

#### Property Value

bool?

### Silent

    public bool? Silent { get; set; }

#### Property Value

bool?